abstract class AuthEvent {}

class LoginOtpEvent extends AuthEvent {
  final String mobile;
  LoginOtpEvent(this.mobile);
}

class CheckOtpEvent extends AuthEvent {
  final String token;
  CheckOtpEvent(this.token);
}

class UpdateProfileEvent extends AuthEvent {
  final String firstName;
  final String avatar;
  UpdateProfileEvent(this.firstName, this.avatar);
}

class LogoutEvent extends AuthEvent {}
